*FROM: http://www.ats.ucla.edu/stat/sas/dae/ologit.htm;
* Generic session options - set page and line size, no page breaks;
OPTIONS nonumber nodate nocenter pagesize=MAX linesize=120 formdlim='-';											
* Kill default titles on output; 
TITLE;

* Location for files to be saved - CHANGE PATH;
%LET lecture7= C:\Users\jtemplin2\Dropbox\943 temp; 
LIBNAME lecture7 "&lecture7.";

* Send all results to an excel file;
ODS HTML FILE="&lecture7.\Example2.xls" STYLE=MINIMAL;

DATA work.gradplan;
	SET lecture7.ologit;
	IF apply = 0 THEN Lapply = 0; ELSE Lapply = 1;
	parentGD = pared;
	GPA3 = GPA-3;
	LABEL Lapply = "Likelihood of Applying (1 = likely)"
		  parentGD = "Parent Has Graduate Degree"
		  public = "Student Attends Public University";
	DROP pared;
		  
RUN;

PROC MEANS DATA=work.gradplan; 
VAR GPA;
RUN;

PROC FREQ DATA=work.gradplan;
TABLE Lapply Apply parentGD public;
RUN;

*EMPTY MODEL PREDICTING DICHOTOMOUS: Likely To Apply;
PROC GENMOD DATA=work.gradplan; 
MODEL Lapply = 	/ ITPRINT DIST=BINOMIAL LINK=LOGIT;
RUN;

*CHANGING THE ORDER OF THE DEPENDENT VARIABLE;
PROC GENMOD DATA=work.gradplan DESCENDING; 
MODEL Lapply =	/ ITPRINT DIST=BINOMIAL LINK=LOGIT;
RUN;

*FULL MODEL WITH ALL EFFECTS;
PROC GENMOD DATA=work.gradplan; 
MODEL Lapply = parentGD gpa3 public / ITPRINT DIST=BINOMIAL LINK=LOGIT;
RUN;

ODS HTML;
*FULL MODEL WITH ALL EFFECTS;
PROC GENMOD DATA=work.gradplan; 
MODEL apply = parentGD gpa3 public / ITPRINT DIST=MULTINOMIAL LINK=CLOGIT;
RUN;

* Close excel file so I can use it;
ODS HTML CLOSE;
